eoRealVectorNoBounds(3)

NAME
eoRealVectorNoBounds - the dummy unbounded eoRealVectorBounds: usefull if you don't need bounds! everything is inlined.

SYNOPSIS

#include <eoRealVectorBounds.h>

Inherits eoRealVectorBounds.

  Public Member Functions
eoRealVectorNoBounds (unsigned _dim)
Ctor: nothing to do, but beware of dimension: call base class ctor.
virtual bool isBounded (unsigned)
test: is i_th component bounded
virtual bool isBounded (void)
test: bounded iff all are bounded
virtual bool hasNoBoundAtAll (unsigned)
Self-test: true iff i_th component has no bounds at all.
virtual bool hasNoBoundAtAll (void)
Self-test: true iff all components have no bound at all.
virtual bool isMinBounded (unsigned)
virtual bool isMaxBounded (unsigned)
virtual void foldsInBounds (unsigned, double &)
Folds a real value back into the bounds - i_th component.
virtual void foldsInBounds (std::vector< double > &)
Folds all variables of a std::vector of real values into the bounds.
virtual void truncate (unsigned, double &)
Truncates a real value to the bounds - i_th component.
virtual void truncate (std::vector< double > &)
truncates all variables of a std::vector of real values to the bounds
virtual bool isInBounds (unsigned, double)
test: is i_th component within the bounds?
virtual bool isInBounds (std::vector< double >)
test: are ALL components within the bounds?
virtual double minimum (unsigned)
Accessors: will raise an std::exception if these do not exist.
virtual double maximum (unsigned)
virtual double range (unsigned)
virtual double averageRange ()
Computes the average range An std::exception will be raised if one of the component is unbounded.
virtual double uniform (unsigned, eoRng &_rng=eo::rng)
Generates a random number in i_th range An std::exception will be raised if one of the component is unbounded.
void uniform (std::vector< double > &, eoRng &_rng=eo::rng)
fills a std::vector with uniformly chosen variables in bounds An std::exception will be raised if one of the component is unbounded

Detailed Description

the dummy unbounded eoRealVectorBounds: usefull if you don't need bounds! everything is inlined. Warning: we do need this class, and not only a std::vector<eoRealNoBounds *>

Definition at line 352 of file eoRealVectorBounds.h.

Author

Generated automatically by Doxygen for EO from the source code.